Bug 9124 - Сборка для x86_64
: Сборка для x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libstdc++3.3)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-20 21:11 by
Modified: 2006-02-21 09:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-20 21:11:59
Просьба приложить вот такой патч на SPEC файл (готов сделать NMU):
--- gcc3.3.spec 2006-02-17 20:41:09 +0300
+++ gcc3.3.spec.new     2006-02-20 21:15:51 +0300
@@ -687,6 +687,7 @@
        --enable-objc-gc \
        --with-system-zlib \
        --without-included-gettext \
+       --disable-multilib \
        --host=%_target_platform --build=%_target_platform
--target=%_target_platform

 %make_build bootstrap-lean
@@ -817,7 +818,7 @@
                %__rm -f "$f"
        done
 popd
-pushd %buildroot/lib
+pushd %buildroot/%_lib
        for f in *.so; do
                v=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
                [ -f "$v" ]
@@ -880,7 +881,7 @@
 %find_lang gcc%psuffix

 %__mkdir_p %buildroot%_libdir/debug
-%__cp -a %buildroot{/lib,%_libdir}/*.so.* %buildroot%_libdir/debug/
+%__cp -a %buildroot{/%_lib,%_libdir}/*.so.* %buildroot%_libdir/debug/

 %if_enabled debug
 # Don't strip in debug mode
------- Comment #1 From 2006-02-20 21:35:12 -------
OK, приложу.
------- Comment #2 From 2006-02-20 22:31:03 -------
Fixed in -alt3.
------- Comment #3 From 2006-02-21 09:48:45 -------
Спасибо.